package com.jpsoft.shinestar.modules.base.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.base.entity.CameraCompany;
import com.jpsoft.shinestar.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

public interface CameraCompanyService {
	CameraCompany get(String id);
	boolean exist(String id);
	int insert(CameraCompany model);
	int update(CameraCompany model);
	int delete(String id);
	List<CameraCompany> list();
	List<CameraCompany> findByClassId(String classId);
	List<CameraCompany> findByCameraId(String cameraId);
	List<CameraCompany> findByCameraIdAndClassId(String cameraId, String classId);
	Page<CameraCompany> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);
    boolean existByKey(String cameraId, String classId);
    int deleteByKey(String cameraId, String classId);
}